@echo off
title [Baksmali / Smali Manager - majdinj@xda]
setlocal enabledelayedexpansion
COLOR 0A
if (%1)==(0) goto logo
mode con:cols=56 lines=50
set capp=None
set heap=512
set comp=9
java -version
IF errorlevel 1 goto errjava
set /A count=0
FOR %%F IN (put-file-here/*.apk) DO (
set /A count+=1
set tmpstore=%%~nF%%~xF
)
FOR %%F IN (put-file-here/*.jar) DO (
set /A count+=1
set tmpstore=%%~nF%%~xF
)

IF NOT EXIST "%~dp0put-file-here" mkdir put-file-here
IF NOT EXIST "%~dp0project" mkdir project
IF NOT EXIST "%~dp0finish" mkdir finish
IF NOT EXIST "%~dp0temp" mkdir temp

if %count%==1 (set capp=%tmpstore%)

echo. >> log.log
echo. >> log.log
echo   ---------------------------------------------------------------------------- >> log.log
echo   ^|%date%                         --                         %TIME:~0,2%:%TIME:~3,2%:%TIME:~6,2%^| >> log.log
echo   ---------------------------------------------------------------------------- >> log.log
Baksmali_tool.bat 0 2>> log.log


:logo
cls
echo.
echo.
echo.
echo.
echo                      .       ``
echo                       -..--...
echo                     .:////////-`
echo                   `://-.////.://-
echo                  `//////////:////:
echo                  -////////////////`
echo              .::- .----------------``-:-`
echo             `////-////////////////`:///:
echo             `////-////////////////`:///:
echo             `////-////////////////`:///:
echo             `////-////////////////`:///:
echo             `////-////////////////`:///:
echo             `////-////////////////`:///:
echo             `////-////////////////`:///:
echo              :///.////////////////`-///-
echo               ``  ////////////////` ```
echo                   `://////////////:
echo                     .////.  -////`
echo                     .////`  -////
echo                     .////`  -////              
echo                      .:-.    -:-.
echo.
echo.
echo.
echo           /********************************\
echo           *                                *
echo           *    Baksmali / Smali Manager    *
echo           *                                *
echo           **********************************
echo           *           by majdinj           *
echo           \********************************/
echo.
echo.
echo.
echo.
echo Note:
echo (Put Your File In "put-file-here" Folder)
echo.
echo.
echo.
echo.
echo.
PAUSE



:restart
COLOR 0E
cls
cd "%~dp0"
echo Date: %date%
echo Time: %TIME:~0,2%:%TIME:~3,2%:%TIME:~6,2%
echo.
echo Java Heap Memory Size: %heap% MB
echo Compression Level: %comp%
echo.
echo Current-File: %capp%
echo.
echo  ------------------------------------------------------
echo.
echo        Welcome to Baksmali / Smali Manager v1.58
echo.
echo  ------------------------------------------------------
echo.
echo      0   Pull apk or jar File From Android Device
echo.
echo      1   Baksmali File Classes
echo      2   Smali Java Classes
echo.
echo      3   Push Finished File To The Device (system app)
echo      4   Install Finished apk File (non-system apk)
echo.
echo      5   Set Current-File Project
echo      6   Set Max Java Heap Memory Size
echo      7   Set Finished File Compression Level
echo.
echo      8   Clean Folders
echo      9   Read Log File
echo      10  About / Faqs / Update
echo      11  Exit
echo.
echo  ------------------------------------------------------
SET /P menu=Please make your decision: %=%
IF %menu%==0 (goto pull)
IF %menu%==1 (goto baksm)
IF %menu%==2 (goto smali)
IF %menu%==3 (goto push)
IF %menu%==4 (goto install)
IF %menu%==5 (goto fileselect)
IF %menu%==6 (goto heapsize)
IF %menu%==7 (goto compression)
IF %menu%==8 (goto clean)
IF %menu%==9 (goto log)
IF %menu%==10 (goto faq)
IF %menu%==11 (goto exit)

@REM If you got here, it wasn't valid key
echo.
echo     ************************************************
echo     *    Are you crazy.. choose something exist    *
echo     ************************************************
echo.
pause
goto restart


:baksm
if %capp%==None goto noproject
echo.
echo Which baksmali method you want to perform?
echo.
echo (x): retain .line, .parameter, .prologue, and .local
echo (b): remove .line, .parameter, .prologue, and .local
SET /P menuba=Please type x or b to continue: %=%
IF %menuba%==x (goto xbaksm)
IF %menuba%==X (goto xbaksm)
IF %menuba%==b (goto bbaksm)
IF %menuba%==B (goto bbaksm)

@REM If you got here, it wasn't valid key
echo.
echo          *************************************
ECHO          *     Please Type A Valid Entry     *
echo          *************************************
echo.
pause
goto restart

:xbaksm
IF EXIST "%~dp0project\%capp%_classout" (rmdir /S /Q "%~dp0project/%capp%_classout")
echo.
echo (x) method Baksmali of %capp%,,,
echo.
cd %~dp0tools
echo Do you want to use .locals instead of .registers?
set /p answx=(Y) for Yes, any key for No: %=%
if %answx%==Y (goto xlocal)
if %answx%==y (goto xlocal)
echo.
java -jar baksmali.jar -x %~dp0put-file-here/%capp% -o %~dp0project/%capp%_classout
IF errorlevel 1 (goto error)
cd "%~dp0"
goto OpenProject

:xlocal
echo.
java -jar baksmali.jar -x -l %~dp0put-file-here/%capp% -o %~dp0project/%capp%_classout
IF errorlevel 1 (goto error)
cd "%~dp0"
goto OpenProject


:bbaksm
IF EXIST "%~dp0project\%capp%_classout" (rmdir /S /Q "%~dp0project/%capp%_classout")
echo.
echo (b) method Baksmali of %capp%,,,
echo.
cd %~dp0tools
echo Do you want to use .locals instead of .registers?
set /p answx=(Y) for Yes, any key for No: %=%
if %answx%==Y (goto blocal)
if %answx%==y (goto blocal)
echo.
java -jar baksmali.jar -b %~dp0put-file-here/%capp% -o %~dp0project/%capp%_classout
IF errorlevel 1 (goto error)
cd "%~dp0"
goto OpenProject

:blocal
echo.
java -jar baksmali.jar -b -l %~dp0put-file-here/%capp% -o %~dp0project/%capp%_classout
IF errorlevel 1 (goto error)
cd "%~dp0"
goto OpenProject

:OpenProject
echo Finished baksmali %capp%
echo.
echo Open classout folder to begin editing? (Y)es or (N)o?
set /P INPUT=Make your choice: %=%
IF %INPUT%==y (call :YOpenProject)
IF %INPUT%==ye (call :YOpenProject)
IF %INPUT%==yes (call :YOpenProject)
IF %INPUT%==yE (call :YOpenProject)
IF %INPUT%==yES (call :YOpenProject)
IF %INPUT%==yEs (call :YOpenProject)
IF %INPUT%==yeS (call :YOpenProject)
IF %INPUT%==Y (call :YOpenProject)
IF %INPUT%==YE (call :YOpenProject)
IF %INPUT%==YES (call :YOpenProject)
IF %INPUT%==Ye (call :YOpenProject)
IF %INPUT%==Yes (call :YOpenProject)
IF %INPUT%==YeS (call :YOpenProject)
IF %INPUT%==YEs (call :YOpenProject)
IF %INPUT%==n (call :NOpenProject)
IF %INPUT%==no (call :NOpenProject)
IF %INPUT%==nO (call :NOpenProject)
IF %INPUT%==N (call :NOpenProject)
IF %INPUT%==No (call :NOpenProject)
IF %INPUT%==NO (call :NOpenProject)
:YOpenProject
start "" "%~dp0project\%capp%_classout"
goto restart
:NOpenProject
goto restart


:smali
if %capp%==None goto noproject
IF NOT EXIST "%~dp0project\%capp%_classout" goto noclassout
IF EXIST "%~dp0finish\Modded_%capp%" (del /Q "%~dp0\finish\Modded_%capp%")
echo.
echo Smali %capp%,,,
cd %~dp0tools
java -Xmx%heap%M -jar smali.jar %~dp0project/%capp%_classout -o %~dp0temp/classes.dex > nul
if errorlevel 1 (goto error)
7za x -o"%~dp0temp/temp1" "%~dp0put-file-here/%capp%" -r > nul
DEL /Q "%~dp0temp\temp1\classes.dex"
7za a -tzip "%~dp0temp/temp2/New_%capp%" "%~dp0temp/temp1/*" -mx%comp% -r > nul
7za a -tzip "%~dp0temp/temp2/New_%capp%" "%~dp0temp/classes.dex" -mx%comp% -r > nul
if errorlevel 1 (goto error)
echo.
ECHO Zipaligning %capp%,,
zipalign -f 4 "%~dp0temp\temp2\New_%capp%" "%~dp0finish\Modded_%capp%"
IF errorlevel 1 (goto error)
cd "%~dp0"
rmdir /S /Q temp
mkdir temp
goto ModFinish
:ModFinish
echo.
echo Your file is saved as Modded_%capp%
echo.
echo Do you want to open the finish folder? (Y)es or (N)o?
set /P INPUT2=Make your choice: %=%
IF %INPUT2%==y (call :YOpenFinish)
IF %INPUT2%==ye (call :YOpenFinish)
IF %INPUT2%==yes (call :YOpenFinish)
IF %INPUT2%==yE (call :YOpenFinish)
IF %INPUT2%==yES (call :YOpenFinish)
IF %INPUT2%==yEs (call :YOpenFinish)
IF %INPUT2%==yeS (call :YOpenFinish)
IF %INPUT2%==Y (call :YOpenFinish)
IF %INPUT2%==YE (call :YOpenFinish)
IF %INPUT2%==YES (call :YOpenFinish)
IF %INPUT2%==Ye (call :YOpenFinish)
IF %INPUT2%==Yes (call :YOpenFinish)
IF %INPUT2%==YeS (call :YOpenFinish)
IF %INPUT2%==YEs (call :YOpenFinish)
IF %INPUT2%==n (call :NOpenFinish)
IF %INPUT2%==no (call :NOpenFinish)
IF %INPUT2%==nO (call :NOpenFinish)
IF %INPUT2%==N (call :NOpenFinish)
IF %INPUT2%==No (call :NOpenFinish)
IF %INPUT2%==NO (call :NOpenFinish)


:YOpenFinish
start "" "%~dp0finish\"
goto restart
:NOpenFinish
goto restart

:noclassout
echo.
echo               ****************************
echo               *     An Error Occured     *
echo               ****************************
echo.
echo       Please Baksmali Your File First (option 1)..
echo.
pause
goto restart

:push
if %capp%==None goto noproject
IF NOT EXIST "%~dp0finish\Modded_%capp%" goto nopush
echo.
ECHO Use Current-File original name? (Y)es or (N)o?
set /p INPUTP=Make your choice: %=%
IF %INPUTP%==y (call :push_dir)
IF %INPUTP%==ye (call :push_dir)
IF %INPUTP%==yes (call :push_dir)
IF %INPUTP%==yE (call :push_dir)
IF %INPUTP%==yES (call :push_dir)
IF %INPUTP%==yEs (call :push_dir)
IF %INPUTP%==yeS (call :push_dir)
IF %INPUTP%==Y (call :push_dir)
IF %INPUTP%==YE (call :push_dir)
IF %INPUTP%==YES (call :push_dir)
IF %INPUTP%==Ye (call :push_dir)
IF %INPUTP%==Yes (call :push_dir)
IF %INPUTP%==YeS (call :push_dir)
IF %INPUTP%==YEs (call :push_dir)
if %INPUTP%==n (call :rename)
if %INPUTP%==no (call :rename)
if %INPUTP%==nO (call :rename)
if %INPUTP%==N (call :rename)
if %INPUTP%==No (call :rename)
if %INPUTP%==NO (call :rename)

@REM If you got here, it wasn't valid key
ECHO.
echo          **************************************
ECHO          *     Please Press A Valid Key..     *
echo          **************************************
ECHO.
pause
goto restart

:rename
echo.
ECHO Enter the new name (with extension):
set /P newcapp=Type input: %=%
goto push_dir_new

:push_dir
echo.
ECHO To which location do you want adb to push your file to?
echo Type (f) for framework, (a) for app and (p) for preload
set /P fileloc=Make your choice: %=%
if %fileloc%==a (call :aapfolder)
if %fileloc%==A (call :aapfolder)
if %fileloc%==f (call :framfolder)
if %fileloc%==F (call :framfolder)
if %fileloc%==p (call :preloadfolder)
if %fileloc%==P (call :preloadfolder)

@REM If you got here, it wasn't valid key
ECHO.
echo          **************************************
ECHO          *     Please Press A Valid Key..     *
echo          **************************************
ECHO.
pause
goto restart


:push_dir_new
echo.
ECHO To which location do you want adb to push your file to?
echo Type (f) for framework, (a) for app and (p) for preload
set /P fileloc1=Make your choice: %=%
if %fileloc1%==a (call :appfoldernew)
if %fileloc1%==A (call :appfoldernew)
if %fileloc1%==f (call :framfoldernew)
if %fileloc1%==F (call :framfoldernew)
if %fileloc1%==p (call :prelfoldernew)
if %fileloc1%==P (call :prelfoldernew)

@REM If you got here, it wasn't valid key
ECHO.
echo          **************************************
ECHO          *     Please Press A Valid Key..     *
echo          **************************************
ECHO.
pause
goto restart


:aapfolder
echo.
echo Mounting System Partition As Read/Write,,,
cd %~dp0tools
adb shell "su" "" "mount -o remount,rw /system" > nul
adb remount > nul
echo.
echo Pushing Your File into App System Folder,,,
adb push "%~dp0finish\Modded_%capp%" /system/app/%capp% > nul
IF errorlevel 1 (goto err_adb)
adb shell "chmod 644 /system/app/%capp%"
adb shell "su" "" "mount -o remount,ro /system" > nul
adb kill-server
adb kill-server
goto reboot

:appfoldernew
echo.
echo Mounting System Partition As Read/Write,,,
cd %~dp0tools
adb shell "su" "" "mount -o remount,rw /system" > nul
adb remount > nul
echo.
echo Pushing Your File into App System Folder,,,
adb push "%~dp0finish\Modded_%capp%" /system/app/%newcapp% > nul
IF errorlevel 1 (goto err_adb)
adb shell "chmod 644 /system/app/%newcapp%"
adb shell "su" "" "mount -o remount,ro /system" > nul
adb kill-server
adb kill-server
goto reboot


:framfolder
echo.
echo Mounting System Partition As Read/Write,,,
cd %~dp0tools
adb shell "su" "" "mount -o remount,rw /system" > nul
adb remount > nul
echo.
echo Pushing Your File into Framework System Folder,,,
adb push "%~dp0finish\Modded_%capp%" /system/framework/%capp% > nul
IF errorlevel 1 (goto err_adb)
adb shell "chmod 644 /system/framework/%capp%"
adb shell "su" "" "mount -o remount,ro /system" > nul
adb kill-server
adb kill-server
goto reboot

:framfoldernew
echo.
echo Mounting System Partition As Read/Write,,,
cd %~dp0tools
adb shell "su" "" "mount -o remount,rw /system" > nul
adb remount > nul
echo.
echo Pushing Your File into Framework System Folder,,,
adb push "%~dp0finish\Modded_%capp%" /system/framework/%newcapp% > nul
IF errorlevel 1 (goto err_adb)
adb shell "chmod 644 /system/framework/%newcapp%"
adb shell "su" "" "mount -o remount,ro /system" > nul
adb kill-server
adb kill-server
goto reboot


:preloadfolder
echo.
echo Mounting System and Preload Partitions As Read/Write,,
cd %~dp0tools
adb shell "su" "" "mount -o remount,rw /system" > nul
adb shell "su" "" "mount -o remount,rw /preload" > nul
adb remount > nul
echo.
echo Pushing Your File into App Preload Folder,,,
adb push "%~dp0finish\Modded_%capp%" /preload/symlink/system/app/%capp% > nul
IF errorlevel 1 (goto err_adb)
adb shell "chmod 644 /preload/symlink/system/app/%capp%"
echo.
echo Creating symlink to system app folder,,,
adb shell "ln -s /preload/symlink/system/app/%capp% /system/app" > nul
adb shell "su" "" "mount -o remount,ro /system" > nul
adb shell "su" "" "mount -o remount,ro /preload" > nul
adb kill-server
adb kill-server
goto reboot

:prelfoldernew
echo.
echo Mounting System and Preload Partitions As Read/Write,,
cd %~dp0tools
adb shell "su" "" "mount -o remount,rw /system" > nul
adb shell "su" "" "mount -o remount,rw /preload" > nul
adb remount > nul
echo.
echo Pushing Your File into App Preload Folder,,,
adb push "%~dp0finish\Modded_%capp%" /preload/symlink/system/app/%newcapp% > nul
IF errorlevel 1 (goto err_adb)
adb shell "chmod 644 /preload/symlink/system/app/%newcapp%"
echo.
echo Creating symlink to system app folder,,,
adb shell "ln -s /preload/symlink/system/app/%newcapp% /system/app" > nul
adb shell "su" "" "mount -o remount,ro /system" > nul
adb shell "su" "" "mount -o remount,ro /preload" > nul
adb kill-server
adb kill-server
goto reboot


:reboot
cls
cd "%~dp0"
echo Date: %date%
echo Time: %TIME:~0,2%:%TIME:~3,2%:%TIME:~6,2%
echo.
echo Java Heap Memory Size: %heap% MB
echo Compression Level: %comp%
echo.
echo Current-File: %capp%
echo.
echo  ------------------------------------------------------
echo.
echo        Welcome to Baksmali / Smali Manager v1.58
echo.
echo  ------------------------------------------------------
echo.
echo      0   Pull apk or jar File From Android Device
echo.
echo      1   Baksmali File Classes
echo      2   Smali Java Classes
echo.
echo      3   Push Finished File To The Device (system app)
echo      4   Install Finished apk File (non-system apk)
echo.
echo      5   Set Current-File Project
echo      6   Set Max Java Heap Memory Size
echo      7   Set Finished File Compression Level
echo.
echo      8   Clean Folders
echo      9   Read Log File
echo      10  About / Faqs / Update
echo      11  Exit
echo.
echo  ------------------------------------------------------
echo Please make your decision:
echo.
echo.
echo               ****************************
echo               *      REBOOT DEVICE       *
echo               ****************************
echo.
echo Recommended After Pushing, For Changes To Take Effect..
echo Type R or r For Normal Rebooting,,
echo Type H or h For Hot ^(Quick^) Rebooting,,
echo Type Any Other Key To Cancel,,
set /P INPUTR= Make your choice: %=%
IF %INPUTR%==r (call :Rreboot)
IF %INPUTR%==R (call :Rreboot)
IF %INPUTR%==h (call :Hreboot)
IF %INPUTR%==H (call :Hreboot)

adb kill-server
adb kill-server
goto restart

:Rreboot
echo.
echo NORMAL Rebooting,,, Please wait,,,
cd %~dp0tools
adb reboot > nul
adb kill-server
adb kill-server
goto restart

:Hreboot
echo.
echo HOT Rebooting,,, Please wait,,,
cd %~dp0tools
adb shell "su" "" "setprop ctl.restart zygote" > nul
adb kill-server
adb kill-server
goto restart


:nopush
echo.
echo               ****************************
echo               *     An Error Occured     *
echo               ****************************
echo.
echo There Is No Modded_%capp%
echo.
echo    Please Smali The File First To Create That File In
echo                "finish" Folder (option 2)
echo.
pause
goto restart

:install
if %capp%==None goto noproject
IF NOT EXIST "%~dp0finish\Modded_%capp%" goto nopush
echo.
cd %~dp0tools
ECHO Signing %capp%,,,
java -Xmx%heap%M -jar signapk.jar -w testkey.x509.pem testkey.pk8 %~dp0finish/Modded_%capp% %~dp0temp/signed_%capp%
IF errorlevel 1 (goto error)
echo.
ECHO Waiting for device connection,,,
adb wait-for-device > nul
echo.
echo Device Is Connected,,,
echo.
ECHO Installing %capp%,,,
adb install -r "%~dp0temp/signed_%capp%" > nul
IF errorlevel 1 (goto err_adb)
echo.
echo Done..
timeout 2 > nul
adb kill-server
adb kill-server
cd "%~dp0"
rmdir /S /Q temp
mkdir temp
goto restart

:pull
echo.
ECHO From where do you want adb to pull your file?
echo (f) for framework and (a) for app folder
set /P fileloc2=Make your choice: %=%
if %fileloc2%==a (call :pullappfolder)
if %fileloc2%==A (call :pullappfolder)
if %fileloc2%==f (call :pullframfolder)
if %fileloc2%==F (call :pullframfolder)

@REM If you got here, it wasn't valid key
ECHO.
echo          **************************************
ECHO          *     Please Press A Valid Key..     *
echo          **************************************
ECHO.
pause
goto restart

:pullappfolder
echo.
set apppath=/system/app/
echo Type app name WITH apk extension
echo (Be sure of cap letters - case sensitive)
set /P INPUTPUAPP=Type input: %=%
echo.
echo Pulling %INPUTPUAPP% from device,,,
cd %~dp0tools
adb pull %apppath%%INPUTPUAPP% "%~dp0put-file-here\%INPUTPUAPP%" > nul
IF errorlevel 1 (goto err_adb)
echo.
echo %INPUTPUAPP% is saved in put-file-here folder.
timeout 2 > nul
adb kill-server
adb kill-server
goto restart

:pullframfolder
echo.
set frampath=/system/framework/
echo Type app name WITH its extension (apk or jar)
echo (Be sure of cap letters - case sensitive)
set /P INPUTPUFRAM=Type input: %=%
echo.
echo Pulling %INPUTPUFRAM% from device,,,
cd %~dp0tools
adb pull %frampath%%INPUTPUFRAM% "%~dp0put-file-here\%INPUTPUFRAM%" > nul
IF errorlevel 1 (goto err_adb)
echo.
echo %INPUTPUFRAM% is saved in put-file-here folder.
timeout 2 > nul
adb kill-server
adb kill-server
goto restart


:err_adb
echo.
adb kill-server
adb kill-server
ECHO "An Error Occured, Please Check The Log (option 9)"
echo.
cd "%~dp0"
rmdir /S /Q temp
mkdir temp
PAUSE
goto restart


:fileselect
cls
echo.
echo      ----------------------------------------------
echo            Please select a file from the list
echo         bellow to be set as Current-file project
echo      ----------------------------------------------
echo.
set /A count=0
FOR %%F IN (put-file-here/*.apk) DO (
set /A count+=1
set a!count!=%%F
if /I !count! LEQ 9 (echo ^- !count!  - %%F )
if /I !count! GTR 9 (echo ^- !count! - %%F )
)
FOR %%F IN (put-file-here/*.jar) DO (
set /A count+=1
set a!count!=%%F
if /I !count! LEQ 9 (echo ^- !count!  - %%F )
if /I !count! GTR 9 (echo ^- !count! - %%F )
)
echo.
echo.
echo  ------------------------------------------------------
echo   (Any letter or other number to return to MAIN MENU.)
echo  ------------------------------------------------------
ECHO.
set /P INPUT3=Please Enter The File Number: %=%
if /I %INPUT3% GTR !count! (goto non)
if /I %INPUT3% LSS 1 (goto non)
set capp=!a%INPUT3%!
set jar=0
set ext=jar
IF "!capp:%ext%=!" NEQ "%capp%" set jar=1
goto restart
:non
set capp=None
goto restart


:error
echo.
echo "An Error Occured, Check The log File (option 9)"
cd "%~dp0"
rmdir /S /Q temp
mkdir temp
echo.
PAUSE
goto restart


:clean
cls
cd %~dp0
echo Date: %date%
echo Time: %TIME:~0,2%:%TIME:~3,2%:%TIME:~6,2%
echo.
echo Java Heap Memory Size: %heap% MB
echo Compression Level: %comp%
echo.
echo.
echo.
echo  ------------------------------------------------------
echo.
echo                      Cleaning Menu
echo.
echo  ------------------------------------------------------
echo.
echo           1  Clean put-file-here folder
echo           2  Clean project folder
echo           3  Clean finish folder
echo           4  Clean temp folder
echo.
echo           5  Clean all folders
echo.
echo           6  Go back to main menu
echo.
echo.
echo  ------------------------------------------------------
echo.
SET /P menu1=Please make your decision: %=%
IF %menu1%==1 (goto pfhf)
IF %menu1%==2 (goto pf)
IF %menu1%==3 (goto ff)
IF %menu1%==4 (goto tf)
IF %menu1%==5 (goto allf)
IF %menu1%==6 (goto restart)

@REM If you got here, it wasn't valid key
echo.
echo     ************************************************
echo     *    Are you crazy.. choose something exist    *
echo     ************************************************
echo.
pause
goto clean

:pfhf
rmdir /S /Q put-file-here
mkdir put-file-here
echo.
echo put-file-here folder is cleaned.
echo.
pause
set capp=None
goto clean
:pf
rmdir /S /Q project
mkdir project
echo.
echo project folder is cleaned.
echo.
pause
goto clean
:ff
rmdir /S /Q finish
mkdir finish
echo.
echo finish folder is cleaned.
echo.
pause
goto clean
:tf
rmdir /S /Q temp
mkdir temp
echo.
echo temp folder is cleaned.
echo.
pause
goto clean
:allf
rmdir /S /Q put-file-here
rmdir /S /Q project
rmdir /S /Q finish
rmdir /S /Q temp
mkdir put-file-here
mkdir project
mkdir finish
mkdir temp
echo.
echo All folders are cleaned.
echo.
pause
set capp=None
goto clean


:heapsize
echo.
echo Enter maximum java heap size in megabytes (16-1400) 
set /P INPUTH=(default 512): %=%
set heap=%INPUTH%
if "%INPUTH%"=="" (set heap=512)
if /I %INPUTH% GTR 1400 (set heap=1400)
if /I %INPUTH% LSS 16 (set heap=16)
goto restart

:compression
echo.
echo Enter Compression Level For Finished File (0-9)
set /P INPUTCO=(default 9): %=%
set comp=%INPUTCO%
if "%INPUTCO%"=="" (set comp=9)
if /I %INPUTCO% GTR 9 (set comp=9)
if /I %INPUTCO% LSS 0 (set comp=0)
goto restart


:noproject
echo.
echo   ****************************************************
echo   *   Select A Project File To Work On. (Option 5)   *
echo   ****************************************************
echo.
PAUSE
goto restart


:faq
cls
echo.
echo About:
echo ------
echo  smali/baksmali is an assembler/disassembler for the
echo  dex format used by dalvik, Android's Java VMI.
echo.
echo.
echo Faqs:
echo -----
echo  1. Put android apk or jar file in "put-file-here"
echo  folder. If Current-file status is set to None, then
echo  either you need to set a file in option #3 or you
echo  forget putting valid file in "put-file-here" folder.
echo.
echo  2. When Current-file status is set to your file, you
echo  can disassemble its classes.dex by option #1.
echo.
echo  3. Classout folder with name of file project will be
echo  created in "project" folder; make your changes there.
echo.
echo  4. If finished your changes, assemble classout folder
echo  by option #2.
echo.
echo  5. If everything is OK, a new file will be created in
echo  "finish" folder with tag (Modded_) in its name, push
echo  it to your device by option #3 if it was system apk
echo  or jar; and if it was non system apk file, install it
echo  by option #4.
echo.
echo.
ECHO Note:
echo -----
echo  1. Increase java heap memory size only if you stuck
echo  with OutOfMemoryError Java Virtual Machine..
echo.
echo  2. Some files need lower compression level in order
echo  to function properly..
echo.
echo  3. To push the finished file to device , you need to
echo  have unsecured boot image OR adbd insecure installed..
echo.
echo  ****************** (Yours; majdinj) ******************
echo.
echo Do You Want To Visit Tool Home Page To Check For Online
SET /P menuu=Update? Type y for YES, Or Other To Return Back: %=%
IF %menuu%==y (call :update)
IF %menuu%==ye (call :update)
IF %menuu%==yes (call :update)
IF %menuu%==yE (call :update)
IF %menuu%==yES (call :update)
IF %menuu%==yEs (call :update)
IF %menuu%==yeS (call :update)
IF %menuu%==Y (call :update)
IF %menuu%==YE (call :update)
IF %menuu%==YES (call :update)
IF %menuu%==Ye (call :update)
IF %menuu%==Yes (call :update)
IF %menuu%==YeS (call :update)
IF %menuu%==YEs (call :update)
echo.
goto restart

:update
echo.
echo Opening Home Page,,, Please Wait,,,
start http://forum.xda-developers.com/showthread.php?p=42250570#post42250570
goto restart

:log
cd "%~dp0tools"
Start "Reading log file.." scripts 1
goto restart

:errjava
COLOR 0C
CLS
echo.
echo.
echo.
echo    ****************************************************
echo    *                                                  *    
ECHO    *              Java was not found,,,,              *
echo    *      You will not be able to use this tool,      *
echo    *        until you install Java environment        *
echo    *                                                  *  
echo    ****************************************************
echo.
echo.
echo.
PAUSE
goto logo



:exit
echo.
echo.
echo.
echo.
echo               Bye Bye, see ya later :-)
echo.
echo.
echo.
timeout 3
EXIT
